Bug 349931 - pirut crash while installing digikam
pirut crash while installing digikam
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-23 23:45 EDT by Madhushan Madawala
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-31 09:49:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Madhushan Madawala 2007-10-23 23:45:12 EDT
Description of problem:
pirut crashed in the middle of an update

Version-Release number of selected component (if applicable):

How reproducible:
Try to install Digikam and it's compomemts

Steps to Reproduce:
1. Applications ---> Add/Remove Software
2. Select all the Digikam related packages...
Actual results:

Expected results:

Additional info:

Component: Software Manager
Summary: TB3c95c430 miscutils.py:60:checkSig:OSError: [Errno 2] No such file or
directory: '//var/cache/yum/fedora/packages/freeglut-2.4.0-11.fc7.x86_64.rpm'

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 337, in _apply
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 723, in
    self.checkSignatures(dlpkgs, mainwin)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 587, in
    result, errmsg = self.sigCheckPkg(po)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 917, in sigCheckPkg
    sigresult = rpmUtils.miscutils.checkSig(ts, po.localPkg())
  File "/usr/lib/python2.5/site-packages/rpmUtils/miscutils.py", line 60, in
    fdno = os.open(package, os.O_RDONLY)
OSError: [Errno 2] No such file or directory:

Local variables in innermost frame:
currentflags: 986880
ts: <rpmUtils.transaction.TransactionWrapper instance at 0x1fbaea8>
value: 0
package: //var/cache/yum/fedora/packages/freeglut-2.4.0-11.fc7.x86_64.rpm
Comment 1 Jeremy Katz 2007-10-23 23:56:24 EDT
Does this happen reliably?  Can you try with the newer version of pirut
available in teh updates-testing repository and see if it helps
  yum --enablerepo=updates-testing update pirut
will pull in the new package
Comment 2 Jeremy Katz 2007-12-31 09:49:31 EST
Closing due to inactivity.  If you have further information to add to this
report, please either reopen the bug or file a new one.  

Note You need to log in before you can comment on or make changes to this bug.